Bug 1040396 - FTBFS: self checks failing on PPC
Summary: FTBFS: self checks failing on PPC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glite-lb-common
Version: 20
Hardware: powerpc
OS: Linux
medium
high
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/CESNET/glite-lb/is...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-11 11:04 UTC by Karsten Hopp
Modified: 2014-01-07 01:21 UTC (History)
1 user (show)

Fixed In Version: glite-lb-common-9.0.8-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-30 05:01:03 UTC


Attachments (Terms of Use)
build.log (75.89 KB, text/plain)
2013-12-11 11:04 UTC, Karsten Hopp
no flags Details
root.log (87.37 KB, text/plain)
2013-12-11 11:05 UTC, Karsten Hopp
no flags Details

Description Karsten Hopp 2013-12-11 11:04:52 UTC
Created attachment 835225 [details]
build.log

Description of problem:
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.QdWaaa
+ umask 022
+ cd /builddir/build/BUILD
+ cd glite-lb-common-9.0.8
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32'
+ LDFLAGS='-Wl,-z,relro '
+ make check
mkdir -p ./reports
rm -f parse.cpp
/usr/bin/glite-lb-at3 ./test/parse.cpp.T >parse.cpp || ( rm -f parse.cpp; false )
chmod -w parse.cpp >/dev/null
g++ -c -g -O0 -Wall -I./src -I./interface -I. -I./test -I/usr/include  -I/usr/include -I/usr/include/classad  -D_GNU_SOURCE -DDATAGRID_EXTENSION  -DBUILDING_LB_COMMON `PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/lib/pkgconfig pkg-config glite-security-gss --cflags` -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32  parse.cpp
libtool --mode=link  g++ -rpath /usr/lib -Wl,-z,relro  -L/usr/lib   -o test_parse parse.o libglite_lb_common.la -lcppunit  -lexpat  -lglite_jobid -lglite_lbu_trio  -lclassad
libtool: link: g++ -Wl,-z -Wl,relro -o .libs/test_parse parse.o  -L/usr/lib ./.libs/libglite_lb_common.so -lglite_security_gss -lm -lcppunit -lexpat -lglite_jobid -lglite_lbu_trio -lclassad -Wl,-rpath -Wl,/usr/lib
LD_LIBRARY_PATH=/usr/lib:/usr/lib: ./test_parse ./reports/parse.xml
edg_wll_InitContext() failed
make: *** [check.parse] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.QdWaaa (%check)

Version-Release number of selected component (if applicable):
glite-lb-common-9.0.8-1.fc20

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f20 glite-lb-common-9.0.8-1.fc20.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1568303

Expected results:


Additional info:

Comment 1 Karsten Hopp 2013-12-11 11:05:20 UTC
Created attachment 835226 [details]
root.log

Comment 2 František Dvořák 2013-12-17 03:46:22 UTC
The unittest is working fine on EL6, so it could depend on compilation flags or version of the compiler...

EL6 CFLAGS: -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc
F20 CFLAGS: -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32

Comment 3 Fedora Update System 2013-12-20 22:22:53 UTC
glite-lb-common-9.0.8-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glite-lb-common-9.0.8-2.fc20

Comment 4 Fedora Update System 2013-12-20 22:23:43 UTC
glite-lb-common-9.0.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-lb-common-9.0.8-2.fc19

Comment 5 Fedora Update System 2013-12-20 22:24:51 UTC
glite-lb-common-9.0.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-lb-common-9.0.8-2.el6

Comment 6 Fedora Update System 2013-12-22 05:37:09 UTC
Package glite-lb-common-9.0.8-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glite-lb-common-9.0.8-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23782/glite-lb-common-9.0.8-2.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-12-30 05:01:03 UTC
glite-lb-common-9.0.8-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-30 05:06:34 UTC
glite-lb-common-9.0.8-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-01-07 01:21:47 UTC
glite-lb-common-9.0.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.